> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order Packs

> Returns the packs for the specified order.



## OpenAPI

````yaml get /wms/orders/{order_id}/packs
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/orders/{order_id}/packs:
    get:
      summary: Get Order Packs
      description: Returns the packs for the specified order.
      operationId: get_wms_get_order_packs
      parameters:
        - in: path
          name: order_id
          schema:
            type: string
          required: true
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WmsOrderPacksSingleItemEndpoint'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    WmsOrderPacksSingleItemEndpoint:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/OrderPackSchema'
      additionalProperties: false
      title: WmsOrderPacksSingleItemEndpoint
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    OrderPackSchema:
      type: object
      properties:
        packs:
          type: array
          description: A list of the packages included in the order.
          items:
            $ref: '#/components/schemas/Pack'
        carrier_id:
          type:
            - string
            - 'null'
          description: The ID of the carrier for the shipping method.
          example: carrier_id
        carrier_name:
          type:
            - string
            - 'null'
          description: The name of the carrier for the shipping method.
          example: carrier_name
        scac:
          type:
            - string
            - 'null'
          description: The Standard Carrier Alpha Code (SCAC) for the shipping method.
          example: scac
        shipping_method_id:
          type:
            - string
            - 'null'
          description: The ID of the shipping method.
          example: shipping_method_id
        shipping_method_name:
          type:
            - string
            - 'null'
          description: The name of the shipping method.
          example: shipping_method_name
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddress'
        order_line_items:
          type: array
          description: List of the products included in the order.
          example:
            - product_id: null
              sku: sku
              quantity: 1
          items:
            $ref: '#/components/schemas/WmsOrderPackLineItem'
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
      required:
        - additional_fields
        - carrier_id
        - carrier_name
        - order_line_items
        - packs
        - scac
        - ship_to_address
        - shipping_method_id
        - shipping_method_name
      additionalProperties: false
      title: OrderPackSchema
    Pack:
      type: object
      properties:
        pack_id:
          type: string
          description: The unique id of the package.
          example: package_id
        measurements:
          $ref: '#/components/schemas/PackageMeasurements'
        line_items:
          type: array
          description: A list of the inventory items included in the package.
          items:
            $ref: '#/components/schemas/PackLineItem'
      required:
        - line_items
        - measurements
        - pack_id
      additionalProperties: false
      title: Pack
    ShipToAddress:
      type: object
      properties:
        full_name:
          type:
            - string
            - 'null'
          description: ''
          example: John Doe
        company:
          type:
            - string
            - 'null'
          description: ''
          example: Company
        address1:
          type:
            - string
            - 'null'
          description: ''
          example: 123 Main St
        address2:
          type:
            - string
            - 'null'
          description: ''
          example: Apt 2
        address3:
          type:
            - string
            - 'null'
          description: ''
          example: Floor 3
        city:
          type:
            - string
            - 'null'
          description: ''
          example: New York
        state:
          type:
            - string
            - 'null'
          description: ''
          example: NY
        postal_code:
          type:
            - string
            - 'null'
          description: ''
          example: '10001'
        country:
          type:
            - string
            - 'null'
          description: ''
          example: United States
        phone_number:
          type:
            - string
            - 'null'
          description: ''
          example: 123-456-7890
        email_address:
          type:
            - string
            - 'null'
          description: ''
          example: johndoe@example.com
      required:
        - address1
        - address2
        - address3
        - city
        - company
        - country
        - email_address
        - full_name
        - phone_number
        - postal_code
        - state
      additionalProperties: false
      title: ShipToAddress
    WmsOrderPackLineItem:
      type: object
      properties:
        product_id:
          type: string
          description: >-
            The ID of the inventory item. Can be passed into the
            [Inventory](/api-reference/wms-api/inventory/get-item) endpoint for
            more details.
        sku:
          type:
            - string
            - 'null'
          description: ''
          example: sku
        quantity:
          type: integer
          description: ''
          example: 1
      required:
        - product_id
        - quantity
        - sku
      additionalProperties: false
      title: WmsOrderPackLineItem
    PackageMeasurements:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the package.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the package.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: PackageMeasurements
    PackLineItem:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: >-
            The ID of the inventory item. Can be passed into the
            [Inventory](/api-reference/wms-api/inventory/get-item) endpoint for
            more details.
        sku:
          type:
            - string
            - 'null'
          description: ''
        quantity:
          type: integer
          description: ''
          example: 0
      required:
        - inventory_item_id
        - quantity
        - sku
      additionalProperties: false
      title: PackLineItem

````